<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <Version>1.0.6</Version>
    <NoWarn>$(NoWarn);8618;</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="SqlSugarCore" Version="5.1.4.153" />
    <PackageReference Include="XF.Utility.SequentialId" Version="1.0.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\XF.Domain\XF.Domain.csproj" />
  </ItemGroup>

</Project>
